Get stores by specified query criteria. By default, opening hours are included in the response model. Set includeOpeningHours=false to exclude them.
curl --request GET \
--url https://{host}/store/v3/Stores \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/store/v3/Stores"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/store/v3/Stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"chainId": "<string>",
"alternateIds": [
"<string>"
],
"alternateId": "<string>",
"registrationNumber": "<string>",
"contactInfo": {
"phone": "<string>",
"email": "<string>"
},
"location": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"streetNumber": "<string>",
"postalCode": "<string>",
"timeZone": "<string>",
"geoCoordinates": {
"latitude": 0,
"longitude": 0
}
},
"chain": {
"id": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"logoAliasUrl": "<string>",
"color": "<string>",
"pinIconUrl": "<string>",
"logoWhiteUrl": "<string>",
"logoAssetId": "<string>",
"logoAliasAssetId": "<string>",
"pinIconAssetId": "<string>",
"logoWhiteAssetId": "<string>",
"displayOrder": 123,
"logoAssetHash": "<string>",
"isAvailableForStoreSelection": true
},
"status": "Active",
"type": "Public",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"addressLong": "<string>",
"addressShort": "<string>",
"openingHours": [
{
"storeId": "<string>",
"fromDate": "2023-11-07T05:31:56Z",
"toDate": "2023-11-07T05:31:56Z",
"label": "<string>",
"isClosedAllDay": true,
"isOpenedAllDay": true
}
]
}
]Get stores by specified query criteria. By default, opening hours are included in the response model. Set includeOpeningHours=false to exclude them.
QueryParameters description:
- Name - searches stores, which name contains searched name
- GeoCoordinates - the results will be ordered in such way, that closest stores are displayed first
- ChainIds - filters stores by ChainIds
- GeoCoordinates.Radius - Radius range is from 0m to 1.000.000m
- AlternateIds - filters stores within specified alternate identifiers
- Ids - filters stores within specified identifiers
- SearchText - searches in Name, City, Street, StreetNumber
GET
/
v3
/
Stores
Get stores by specified query criteria. By default, opening hours are included in the response model. Set includeOpeningHours=false to exclude them.
Authorizations
Query Parameters
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Required range:
0 <= x <= 1000000[Deprecated, Use ''includeOpeningHours' instead]Set true to exclude openingHours from the response model. The default value if false
Indicates whether opening hours included in response
Indicates whether chain data included in response
Indicates whether location included in response
Response
200 - application/json
Collection of stores
Minimum string length:
1Minimum string length:
1Maximum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Active, Closed, NotSpecified Available options:
Public, Internal Show child attributes
Show child attributes
Last modified on August 10, 2026